GET /history
Operation ID: getBetHistory
Auth: unknown
Description
Retrieves the customer’s bet history. Options are available to organise the history in terms of date, bet type and settled and unsettled bets. The maximum number of bets and bet history pages retrieved can also be set.
Parameters (12)
(string, header, required)
A unique identifier of your application that is generated by the API portal.
Constraints: {'pattern': '^[a-zA-Z0-9]{19,50}$'}
(string, header, required)
Another unique identifier for your application.
Constraints: {'pattern': '^[a-zA-Z0-9]{19,50}$'}
(string, header, required)
The ticket obtained from the sessions API
Constraints: {'pattern': '^[a-zA-Z][a-zA-Z0-9-]{39,100}$'}
(string, query, required)
The UTC FROM datetime from bets to be returned. (yyyy-MM-ddTHH:mm:ss)
Constraints: {'pattern': '^(\\\\d{4})-(\\\\d{2})-(\\\\d{2})T(\\\\d{2}):(\\\\d{2}):(\\\\d{2})$'}
(string, query, required)
The UTC TO datetime for bets to be returned. (yyyy-MM-ddTHH:mm:ss)
Constraints: {'pattern': '^(\\\\d{4})-(\\\\d{2})-(\\\\d{2})T(\\\\d{2}):(\\\\d{2}):(\\\\d{2})$'}
(array, query, optional)
Specify fields from the default to exclude (Comma Separated List)
(array, query, optional)
Specify an absolute field list to return (Comma Separated List)
(array, query, optional)
Specify fields in addition to the default to return (Comma Separated List)
(number, query, optional, default: 1)
The index of the page to return
(number, query, optional, default: 100)
The number of results per page
(boolean, query, optional)
Filter by settled bets. If omitted, both settled and unsettled will be returned.
(string, query, optional, default: transDateTime,asc)
The order the response will be retuned by. i.e. transDateTime,desc. Only transDateTime can be used currently
No probe data for this endpoint yet.